{% load mathfilters %}
{% with w_level=level|mul:100|floatformat:0 %}
    <div class="progress flex-fill ml-2" style="background-color: lightgrey">
        <div class="progress-bar bg-info" role="progressbar" style="width: {{ w_level }}%">{{ level|floatformat:2 }}</div>
    </div>
{% endwith %}